Bug 1252366 - python-2.6.6-64.el6 breaks wicd < 1.7.1
python-2.6.6-64.el6 breaks wicd < 1.7.1
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: wicd (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 05:17 EDT by Thomas Oulevey
Modified: 2015-08-11 05:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Oulevey 2015-08-11 05:17:15 EDT
Description of problem:


Version-Release number of selected component (if applicable):

wicd-1.7.0-6.el6.x86_64


How reproducible:


Steps to Reproduce:
1. Upgrade to RHEL 6.7
2. yum install wicd
3. service wicd start

Actual results:

wicd fails to start.

# cat /var/log/wicd.log
2015/08/11 11:02:05 :: ---------------------------
2015/08/11 11:02:05 :: wicd is version 1.7.0 552
2015/08/11 11:02:05 :: did not find backend in configuration, setting default external
2015/08/11 11:02:05 :: Traceback (most recent call last):
2015/08/11 11:02:05 ::   File "/usr/share/wicd/daemon/wicd-daemon.py", line 1879, in <module>
2015/08/11 11:02:05 ::     main(sys.argv)
2015/08/11 11:02:05 ::   File "/usr/share/wicd/daemon/wicd-daemon.py", line 1843, in main
2015/08/11 11:02:05 ::     daemon = WicdDaemon(wicd_bus, auto_connect=auto_connect)
2015/08/11 11:02:05 ::   File "/usr/share/wicd/daemon/wicd-daemon.py", line 114, in __init__
2015/08/11 11:02:05 ::     self.ReadConfig()
2015/08/11 11:02:05 ::   File "/usr/share/wicd/daemon/wicd-daemon.py", line 884, in ReadConfig
2015/08/11 11:02:05 ::     self.SetBackend(app_conf.get("Settings", "backend", default=be_def))
2015/08/11 11:02:05 ::   File "/usr/lib/python2.6/site-packages/wicd/configmanager.py", line 129, in get
2015/08/11 11:02:05 ::     return self.get_option(*args, **kargs)
2015/08/11 11:02:05 ::   File "/usr/lib/python2.6/site-packages/wicd/configmanager.py", line 108, in get_option
2015/08/11 11:02:05 ::     self.set(section, option, str(default), write=True)
2015/08/11 11:02:05 ::   File "/usr/lib/python2.6/site-packages/wicd/configmanager.py", line 75, in set
2015/08/11 11:02:05 ::     self.set_option(*args, **kargs)
2015/08/11 11:02:05 ::   File "/usr/lib/python2.6/site-packages/wicd/configmanager.py", line 71, in set_option
2015/08/11 11:02:05 ::     self.write()
2015/08/11 11:02:05 ::   File "/usr/lib/python2.6/site-packages/wicd/configmanager.py", line 196, in write
2015/08/11 11:02:05 ::     p = copy.deepcopy(self)
2015/08/11 11:02:05 ::   File "/usr/lib64/python2.6/copy.py", line 162, in deepcopy
2015/08/11 11:02:05 ::     y = copier(x, memo)
2015/08/11 11:02:05 ::   File "/usr/lib64/python2.6/copy.py", line 296, in _deepcopy_inst
2015/08/11 11:02:05 ::     state = deepcopy(state, memo)
2015/08/11 11:02:05 ::   File "/usr/lib64/python2.6/copy.py", line 162, in deepcopy
2015/08/11 11:02:05 ::     y = copier(x, memo)
2015/08/11 11:02:05 ::   File "/usr/lib64/python2.6/copy.py", line 255, in _deepcopy_dict
2015/08/11 11:02:05 ::     y[deepcopy(key, memo)] = deepcopy(value, memo)
2015/08/11 11:02:05 ::   File "/usr/lib64/python2.6/copy.py", line 173, in deepcopy
2015/08/11 11:02:05 ::     y = copier(memo)
2015/08/11 11:02:05 :: TypeError: cannot deepcopy this pattern object


Expected results:

wicd deamon starts.

Additional info:

- See upstream bug https://bugs.launchpad.net/wicd/+bug/602825
  However at first sight it seems related to python 2.7.

  Then Looking at python-2.6.6-64.el6.x86_64 changelog :
  
  * Fri May 22 2015 Matej Stuchlik <mstuchli@redhat.com> - 2.6.6-64
  - Enable use of deepcopy() with instance methods
  Resolves: rhbz#1223037

  https://bugzilla.redhat.com/show_bug.cgi?id=1223037 for details

  Now python 2.6 behave correctly but breaks wicd ;)

- Would it be possible to upgrade to 1.7.1, as it should fix the problem ?

Note You need to log in before you can comment on or make changes to this bug.